// pages/sign/sign.js
Page({
    
    /**
     * 页面的初始数据
     */
    data: {
        img_url:wx.getStorageSync('img_url'),
        swiperCurrent:0,
        autoplay: false,
        interval: 3000,
        duration: 800,
        //倒计时数据
        endTime: '2020/11/22 10:40:30',
        //
        tab_number:31,//参与者
        tab_vote:2375,//投票数
        tab_visit:55,//访问次数
        //上传图
        source:'',
        is_upload:'0',
    },
    /**
 * 上传图片
 */
uploadimg:function(){
    var that = this;
    wx.chooseImage({ //从本地相册选择图片或使用相机拍照
     count: 1, // 默认9
     sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
     sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
     success:function(res){
     //前台显示
     that.setData({
        source: res.tempFilePaths,
        is_upload:'1'
     })
     // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
     var tempFilePaths = res.tempFilePaths
        wx.uploadFile({
        url: '#',
        filePath: tempFilePaths[0],
        name: 'file',
            success:function(res){
                //打印
            }
        })
     }
    })
    //https://www.jb51.net/article/132557.htm 后端源码
},
    //上传图片
    swiperChange: function (e) {
        this.setData({
            swiperCurrent: e.detail.current
        })
    },
     /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        var that = this;
        that.countDown()
    },
// 倒计时
    countDown:function(){
        var that=this;
        var nowTime = new Date().getTime();//现在时间（时间戳）
        var endTime = new Date(that.data.endTime).getTime();//结束时间（时间戳）
        var time = (endTime-nowTime)/1000;//距离结束的毫秒数
        // 获取天、时、分、秒
        let day = parseInt(time / (60 * 60 * 24));
        let hou = parseInt(time % (60 * 60 * 24) / 3600);
        let min = parseInt(time % (60 * 60 * 24) % 3600 / 60);
        let sec = parseInt(time % (60 * 60 * 24) % 3600 % 60);
        day = that.timeFormin(day),
        hou = that.timeFormin(hou),
        min = that.timeFormin(min),
        sec = that.timeFormin(sec)
        that.setData({
            day: that.timeFormat(day),
            hou: that.timeFormat(hou),
            min: that.timeFormat(min),
            sec: that.timeFormat(sec)
        })
        // 每1000ms刷新一次
        if (time>0){
            that.setData({
                countDown: true
            })
            setTimeout(this.countDown, 1000);
        }else{
            that.setData({
                countDown:false
            })
        }
    },
    //小于10的格式化函数（2变成02）
    timeFormat(param) {
        return param < 10 ? '0' + param : param;
    },
    //小于0的格式化函数（不会出现负数）
    timeFormin(param) {
        return param < 0 ? 0: param;
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})